Summary: GNU bc
Name: bc
Version: 1.04
Release: 5
Copyright: GPL
Group: Applications/Math
Source: ftp://prep.ai.mit.edu/pug/gnu/bc-1.04.tar.gz
Patch1: bc-1.03-P.patch
Prereq: /sbin/install-info grep
Summary(de): GNU bc 
Summary(fr): GNU bc
Summary(tr): GNU hesap makinas

%description
bc is a text mode calculator of sorts.  It has many extended
features such as base translation.  It can also accept input
from stdin and return output. dc is the RPN version.

%description -l de
bc ist eine Art Textmodus-Rechner, der viele erweiterte Funktionen
wie Basisbersetzung enthlt. Er kann auch Eingaben von
stdin annehmen und die Ergebnisse ausgeben. dc ist die RPN-Version.

%description -l fr
bc est est un outil de calcul en mode texte. Il a des fonctionnalits
tendues comme la conversion de base. il peut aussi accepter l'entre
sur stdin et retourner le rsultat. dc est la version RPN.

%description -l tr
bc metin ekranda alan bir hesap makinasdr. Taban dnm gibi ileri
yetenekleri vardr.

%changelog
* Fri Apr 24 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>

- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>

- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>

- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>

- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make

%install
make install
gzip -n -9f /usr/info/dc.info

strip /usr/bin/dc /usr/bin/bc

%post
# previous versions of bc put an improper entry into /usr/info/dir -- remove
# it
if grep 'dc: (bc)' /usr/info/dir > /dev/null; then
    grep -v 'The GNU RPN calculator' < /usr/info/dir > /usr/info/dir.$$
    mv -f /usr/info/dir.$$ /usr/info/dir
fi

/sbin/install-info /usr/info/dc.info.gz /usr/info/dir --entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete /usr/info/dc.info.gz /usr/info/dir --entry="* dc: (dc).                      The GNU RPN calculator."
fi

%files
/usr/bin/dc
/usr/bin/bc
/usr/man/man1/bc.1
/usr/man/man1/dc.1
/usr/info/dc.info.gz
